NL(1)

BEZEICHNUNG
nl - Zeilen von Dateien nummerieren

ÜBERSICHT
nl [OPTION]… [DATEI]…

BESCHREIBUNG

Jede DATEI mit Zeilennummern in die Standardausgabe schreiben.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --body-numbering=STIL
    STIL benutzen, um Zeilen des Hauptteils zu nummerieren

-d, --section-delimiter=CC
    CC für logische Seitenbegrenzungen verwenden

-f, --footer-numbering=STIL
    STIL benutzen, um Fußzeilen zu nummerieren

-h, --header-numbering=STIL
    STIL benutzen, um Kopfzeilen zu nummerieren

-i, --line-increment=ZAHL
    Zeilennummer nach jeder Zeile um ZAHL erhöhen

-l, --join-blank-lines=ANZAHL
    Eine Gruppe von ANZAHL Leerzeilen als eins zählen

-n, --number-format=FORMAT
    Zeilennummern gemäß FORMAT einfügen

-p, --no-renumber
    Zeilennummern nicht für jeden Abschnitt zurücksetzen

-s, --number-separator=ZEICHENKETTE
    ZEICHENKETTE nach (möglicher) Zeilennummer hinzufügen

-v, --starting-line-number=NUMMER
    Erste Zeilennummer für jeden Abschnitt

-w, --number-width=ANZAHL
    ANZAHL Spalten für Zeilennummern benutzen

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Standardoptionen sind: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC sind zwei Begrenzungszeichen, um logische Seitentrenner zu erstellen, ein fehlendes zweites Zeichen impliziert »:«. Als GNU-Erweiterung können Sie mehr als zwei Zeichen angeben, und auch die Angabe einer leeren Zeichenkette (-d ”) deaktiviert die Abschnittssuche.

STIL ist eines der Folgenden:

a   Alle Zeilen nummerieren

t   Nur nichtleere Zeilen nummerieren

n   Keine Zeilen nummerieren

pERA
    Nur Zeilen nummerieren, die einen Treffer für den einfachen regulären Ausdruck ERA enthalten

FORMAT ist eines der Folgenden:

ln  Linksbündig, keine führenden Nullen

rn  Rechtsbündig, keine führenden Nullen

rz  Rechtsbündig, führende Nullen

AUTOR
Geschrieben von Scott Bartram und David MacKenzie.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/nl>
oder lokal verfügbar mit: info '(coreutils) nl invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).